#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import sys
from k8s_cluster_validator import ClusterValidator

def main(iface):
    validator = ClusterValidator()
    if 'br-'+iface == validator.get_bind_interface():
        if validator.is_cluster_creating():
            print('Kubernetes cluster creation is in progress, please wait until it is finished. Command aborted.')
            print('Warning: If you keep getting this message for more than 15 minutes, please reboot the controller.')
            sys.exit(0)

    sys.exit(1)
    
if __name__ == "__main__":
    main(sys.argv[1])
